#
# spec file for package mpris-ctl
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mpris-ctl
Version:        1.0.0
Release:        1.2
Summary:        Basic mpris player control for linux command line
License:        MIT
URL:            https://git.sr.ht/~mariusor/mpris-ctl
Source:         https://git.sr.ht/~mariusor/mpris-ctl/archive/v%{version}.tar.gz
# PATCH-FIX-UPSTREAM openSUSE-install.patch gh#mariusor/mpris-ctl#21 mcepl@suse.com
# Fix Makefile for install to create required directories
Patch0:         openSUSE-install.patch
BuildRequires:  dbus-1-devel
BuildRequires:  scdoc

%description
Minimalistic cli tool for controlling audio players exposing a MPRIS
DBus interface, targeted at keyboard based WMs.

%prep
%autosetup -p1 -n mpris-ctl-v%{version}

%build
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL_PREFIX=%{_prefix}

%files
%license LICENSE
%doc README.md
%{_bindir}/mpris-ctl
%{_mandir}/man1/mpris-ctl.1%{?ext_man}

%changelog
* Sun Feb 23 2025 Matej Cepl <mcepl@cepl.eu>
- Update to 1.0.0:
  Ooops, we've run out of minor versions
  - The only significant addition to this release is the "raise"
    command that can be used to make players pop up after being
    minimized or hidden.
- Update to 0.9.100:
  Shuffle boogie
  - The shuffle command was broken for a while in some builds
    (maybe even from the start?), resulting in a crash from
    inside the DBUS library. We fixed it, and shuffle can safely
    be used again.
- Update to 0.9.99.1:
  Absolute unit of a volume
  - This release only contains a fix for parsing absolute volumes
    from the command arguments.
- Update to 0.9.99:
  Pipe up
  - Added a new command for getting and setting the volume.
  - Added formatting for time properties.
- Update to 0.9.98:
  Still seeking the best in others
  - Fixed an issue with parsing negative seek times.
- Update to 0.9.96:
  The final countdown (take 2)
  - Added commands to change shuffle and repeat modes.
  - Improved how we're showing the metadata values that are
    string arrays (like artist, and album artist).
  - Fixed a double free for a dbus reply on seek method.
- Update to 0.9.95:
  The final countdown (take 1)
  - Added commands to change shuffle and repeat modes.
  - Improved how we're showing the metadata values that are
    string arrays (like artist, and album artist).
- Update to 0.9:
  The "Those who seek, will find"
  - Add "seek" command capable of back or forward seeking into
    current track.
  - Improve active/inactive/named player selection for commands.
  - Improve documentation.
- Update to 0.8.6:
  The "Backstreet's back all right"
  - Fix a crash when loading player names from the --player flag.
  - Many thanx and apologies to github users vaygr and JosefLitos
    for their bug reports and reminders.
* Sun Dec  4 2022 Dirk Müller <dmueller@suse.com>
- update to 0.8.5:
  * Fixing some issues with copying strings (that's what I get for using C)
  * Improving buffer sizes, because sometimes the comments can be quite
    large
  * Changed default from effecting commands to all existing players to only
    active ones.
  * Now it requires explicit setting the falg --player inactive to do it for
    inactive ones.
* Mon Apr 26 2021 Matej Cepl <mcepl@suse.com>
- Initial packaging of mpris-ctl 0.8.3.
